Announcement

Collapse
No announcement yet.

NI support pack for SuperLab v4.* forWindows

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • NI support pack for SuperLab v4.* forWindows

    I would like to know when the NI support pack for SuperLab v4.* will be available and what devices will be supported. I am stuck on version 2 until this happens. Anybody know?
    ChrisM

  • #2
    NI Digital Output is available in SuperLab 4.0.2 for Mac OS X. This requires NI-DAQmx Base v2.1 or later, which is available here: http://digital.ni.com/softlib.nsf/we...node=132060_US

    That also lists the devices supported by the NI drivers. Currently, the USB-6501 is the only device to have been tested with SuperLab, though configuration files have been created for the USB-6008 and the PCI-DIO96.

    Comment


    • #3
      Thanks for that but as indicated in the subject header I need the support pack for a Windows platform. Specifically, I need support for the DaqPad6020e and the PCI-6014 NI card. This was available for version 2.0, in fact I instigated it, so I am a bit disappointed that there is no support in v4.0. Direct mailings to Cedrus support have, unusually, not been responded to.

      Comment


      • #4
        This is what we will be supporting on Windows. As the DaqPad-6020E is not supported by NI-DAQmx, it will not be supported by SuperLab 4.x. The PCI-6014, however, is still supported by National Instruments' latest drivers, so it will be supported by SuperLab 4.x on Windows.

        Comment


        • #5
          This is a real bind because I would want to move my Daqpad6020e between PCs easily; I don't want to have to install a PCI card every time. I would be happy to use an older version of NI-DAQ that would still support the DaqPad; I do this for the DaqPad1200 under v2.0 of SuperLab and it works well.

          Comment


          • #6
            Hi Chris,

            I see your point, but at the same time it's not realistic for us to use an older National Instruments library when N.I. is telling us that the library is obsolete. If you want support for the DaqPad-6020, N.I. needs to hear your voice -- we cannot really do anything about it ourselves.

            Hisham.

            Comment


            • #7
              NI-DAQmx 8.3.1 support will be included in SuperLab 4.0.3 (still output only). I have written a small selection of devconfig files for inclusion:

              PCI-DIO96
              USB 6008
              USB 6009
              USB 6501

              So far as I'm aware, the USB 6501 is the only one that has been tested. These files are user-editable, and are relatively straight-forward. On Windows, they are in Program Files\SuperLab 4.0\plug-ins\Config . On Mac OS X, they are in SuperLab 4.app/Contents/PlugIns/Config . If the device is supported by National Instruments, then all SuperLab needs is a devconfig file to specify how to find it and what it is capable of.

              On Windows, SuperLab uses NI-DAQmx 8.3.1. On Mac OS X, it uses NI-DAQmx Base 2.1.

              Note: I just discovered as I was writing up this message that NI-DAQmx 8.5 for Windows has recently been released. This update will be necessary for Vista compatibility, as well as compatibility with new devices. I expect 4.0.3 to be built against the new version, but since it's still downloading, I'm not making any promises.

              Comment

              Working...
              X